package com.zhyc.module.base.service;

import com.zhyc.module.base.domain.BasSheepGroup;

import java.util.List;

/**
 * 分组管理Service接口
 * 
 * @author wyt
 * @date 2025-07-14
 */
public interface IBasSheepGroupService 
{
    /**
     * 查询分组管理
     * 
     * @param groupId 分组管理主键
     * @return 分组管理
     */
    public BasSheepGroup selectBasSheepGroupByGroupId(Long groupId);

    /**
     * 查询分组管理列表
     * 
     * @param basSheepGroup 分组管理
     * @return 分组管理集合
     */
    public List<BasSheepGroup> selectBasSheepGroupList(BasSheepGroup basSheepGroup);

    /**
     * 新增分组管理
     * 
     * @param basSheepGroup 分组管理
     * @return 结果
     */
    public int insertBasSheepGroup(BasSheepGroup basSheepGroup);

    /**
     * 修改分组管理
     * 
     * @param basSheepGroup 分组管理
     * @return 结果
     */
    public int updateBasSheepGroup(BasSheepGroup basSheepGroup);

    /**
     * 批量删除分组管理
     * 
     * @param groupIds 需要删除的分组管理主键集合
     * @return 结果
     */
    public int deleteBasSheepGroupByGroupIds(Long[] groupIds);

    /**
     * 删除分组管理信息
     * 
     * @param groupId 分组管理主键
     * @return 结果
     */
    public int deleteBasSheepGroupByGroupId(Long groupId);

    List<BasSheepGroup> selectLeafNodes();
}
